var search_data = {"index":{"searchIndex":["cmath","acos()","acos!()","acosh()","acosh!()","asin()","asin!()","asinh()","asinh!()","atan()","atan!()","atan2()","atan2!()","atanh()","atanh!()","cbrt()","cbrt!()","cos()","cos!()","cosh()","cosh!()","exp()","exp!()","log()","log!()","log10()","log10!()","log2()","log2!()","sin()","sin!()","sinh()","sinh!()","sqrt()","sqrt!()","tan()","tan!()","tanh()","tanh!()"],"longSearchIndex":["cmath","cmath::acos()","cmath::acos!()","cmath::acosh()","cmath::acosh!()","cmath::asin()","cmath::asin!()","cmath::asinh()","cmath::asinh!()","cmath::atan()","cmath::atan!()","cmath::atan2()","cmath::atan2!()","cmath::atanh()","cmath::atanh!()","cmath::cbrt()","cmath::cbrt!()","cmath::cos()","cmath::cos!()","cmath::cosh()","cmath::cosh!()","cmath::exp()","cmath::exp!()","cmath::log()","cmath::log!()","cmath::log10()","cmath::log10!()","cmath::log2()","cmath::log2!()","cmath::sin()","cmath::sin!()","cmath::sinh()","cmath::sinh!()","cmath::sqrt()","cmath::sqrt!()","cmath::tan()","cmath::tan!()","cmath::tanh()","cmath::tanh!()"],"info":[["CMath","","CMath.html","","<p>Trigonometric and transcendental functions for complex numbers.\n<p>CMath is a library that provides trigonometric …\n"],["acos","CMath","CMath.html#method-c-acos","(z)","<p>returns the arc cosine of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">acos</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.9045568943023813-1.0612750619050357i)</span>\n</pre>\n"],["acos!","CMath","CMath.html#method-c-acos-21","(z)",""],["acosh","CMath","CMath.html#method-c-acosh","(z)","<p>returns the inverse hyperbolic cosine of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">acosh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (1.0612750619050357+0.9045568943023813i)</span>\n</pre>\n"],["acosh!","CMath","CMath.html#method-c-acosh-21","(z)",""],["asin","CMath","CMath.html#method-c-asin","(z)","<p>returns the arc sine of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">asin</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.6662394324925153+1.0612750619050355i)</span>\n</pre>\n"],["asin!","CMath","CMath.html#method-c-asin-21","(z)",""],["asinh","CMath","CMath.html#method-c-asinh","(z)","<p>returns the inverse hyperbolic sine of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">asinh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (1.0612750619050357+0.6662394324925153i)</span>\n</pre>\n"],["asinh!","CMath","CMath.html#method-c-asinh-21","(z)",""],["atan","CMath","CMath.html#method-c-atan","(z)","<p>returns the arc tangent of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">atan</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (1.0172219678978514+0.4023594781085251i)</span>\n</pre>\n"],["atan!","CMath","CMath.html#method-c-atan-21","(z)",""],["atan2","CMath","CMath.html#method-c-atan2","(y,x)","<p>returns the arc tangent of <code>y</code> divided by <code>x</code> using\nthe signs of <code>y</code> and <code>x</code> to determine the quadrant\n\n<pre>CMath.atan2(1 ...</pre>\n"],["atan2!","CMath","CMath.html#method-c-atan2-21","(y,x)",""],["atanh","CMath","CMath.html#method-c-atanh","(z)","<p>returns the inverse hyperbolic tangent of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">atanh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.4023594781085251+1.0172219678978514i)</span>\n</pre>\n"],["atanh!","CMath","CMath.html#method-c-atanh-21","(z)",""],["cbrt","CMath","CMath.html#method-c-cbrt","(z)","<p>returns the principal value of the cube root of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">cbrt</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">4i</span>) <span class=\"ruby-comment\">#=&gt; (1.449461632813119+0.6858152562177092i)</span>\n</pre>\n"],["cbrt!","CMath","CMath.html#method-c-cbrt-21","(z)",""],["cos","CMath","CMath.html#method-c-cos","(z)","<p>returns the cosine of <code>z</code>, where <code>z</code> is given in\nradians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">cos</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.8337300251311491-0.9888977057628651i)</span>\n</pre>\n"],["cos!","CMath","CMath.html#method-c-cos-21","(z)",""],["cosh","CMath","CMath.html#method-c-cosh","(z)","<p>returns the hyperbolic cosine of <code>z</code>, where <code>z</code> is\ngiven in radians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">cosh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.8337300251311491+0.9888977057628651i)</span>\n</pre>\n"],["cosh!","CMath","CMath.html#method-c-cosh-21","(z)",""],["exp","CMath","CMath.html#method-c-exp","(z)","<p>Math::E raised to the <code>z</code> power\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">exp</span>(<span class=\"ruby-value\">2i</span>) <span class=\"ruby-comment\">#=&gt; (-0.4161468365471424+0.9092974268256817i)</span>\n</pre>\n"],["exp!","CMath","CMath.html#method-c-exp-21","(z)",""],["log","CMath","CMath.html#method-c-log","(*args)","<p>Returns the natural logarithm of Complex. If a second argument is given, it\nwill be the base of logarithm. …\n"],["log!","CMath","CMath.html#method-c-log-21","(*args)",""],["log10","CMath","CMath.html#method-c-log10","(z)","<p>returns the base 10 logarithm of <code>z</code>\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">log10</span>(<span class=\"ruby-value\">-1</span>) <span class=\"ruby-comment\">#=&gt; (0.0+1.3643763538418412i)</span>\n</pre>\n"],["log10!","CMath","CMath.html#method-c-log10-21","(z)",""],["log2","CMath","CMath.html#method-c-log2","(z)","<p>returns the base 2 logarithm of <code>z</code>\n\n<pre>CMath.log2(-1) =&gt; (0.0+4.532360141827194i)</pre>\n"],["log2!","CMath","CMath.html#method-c-log2-21","(z)",""],["sin","CMath","CMath.html#method-c-sin","(z)","<p>returns the sine of <code>z</code>, where <code>z</code> is given in\nradians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">sin</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (1.2984575814159773+0.6349639147847361i)</span>\n</pre>\n"],["sin!","CMath","CMath.html#method-c-sin-21","(z)",""],["sinh","CMath","CMath.html#method-c-sinh","(z)","<p>returns the hyperbolic sine of <code>z</code>, where <code>z</code> is\ngiven in radians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">sinh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.6349639147847361+1.2984575814159773i)</span>\n</pre>\n"],["sinh!","CMath","CMath.html#method-c-sinh-21","(z)",""],["sqrt","CMath","CMath.html#method-c-sqrt","(z)","<p>Returns the non-negative square root of Complex.\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">sqrt</span>(<span class=\"ruby-value\">-1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">0i</span>) <span class=\"ruby-comment\">#=&gt; 0.0+1.0i</span>\n</pre>\n"],["sqrt!","CMath","CMath.html#method-c-sqrt-21","(z)",""],["tan","CMath","CMath.html#method-c-tan","(z)","<p>returns the tangent of <code>z</code>, where <code>z</code> is given in\nradians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">tan</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (0.27175258531951174+1.0839233273386943i)</span>\n</pre>\n"],["tan!","CMath","CMath.html#method-c-tan-21","(z)",""],["tanh","CMath","CMath.html#method-c-tanh","(z)","<p>returns the hyperbolic tangent of <code>z</code>, where <code>z</code> is\ngiven in radians\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">CMath</span>.<span class=\"ruby-identifier\">tanh</span>(<span class=\"ruby-value\">1</span> <span class=\"ruby-operator\">+</span> <span class=\"ruby-value\">1i</span>) <span class=\"ruby-comment\">#=&gt; (1.0839233273386943+0.27175258531951174i)</span>\n</pre>\n"],["tanh!","CMath","CMath.html#method-c-tanh-21","(z)",""]]}}